/**************************************************/
/*										*/
/*		  DSP-Replay MegaTracker v1.0			*/
/*										*/
/*		   by Simplet / FATAL DESIGN			*/
/*										*/
/**************************************************/

/*	Structures and Variables	*/

struct	VOICE
		{	long	Voice_Sample_Start,Voice_Sample_Offset,
				Voice_Sample_Position,Voice_Sample_Length,
				Voice_Sample_Loop_Length,Voice_Sample_End_Length;
			int	Voice_Sample_Volume;
			long	Voice_Sample_Period;
			int	Voice_Sample_Fine_Tune,Voice_Sample_Base;
			char	Voice_Sample_Attributes,
				Voice_Left_Volume,Voice_Right_Volume;
			long	Voice_Start;
			int	Voice_Base,Voice_Volume;
			long	Voice_Period;
			char	Voice_Attributes,Voice_Note,Voice_Sample,
				Voice_Command,Voice_Parameter1,Voice_Parameter2;
			int	Voice_Arpeggio;
			long	Voice_Tone_Port_Period,Voice_Tone_Port_Speed;
			char	Voice_Tone_Port_Direction,Voice_Glissando_Control,
				Voice_Vibrato_Waveform,Voice_Vibrato_Speed;
			int	Voice_Vibrato_Depth;
			char	Voice_Vibrato_Position,Voice_Tremolo_Waveform;
			int	Voice_Tremolo_Depth;
			char	Voice_Tremolo_Speed,Voice_Tremolo_Position,
				Voice_Funk_Speed,Voice_Funk_Offset;
			long	Voice_Funk_Position,Voice_Funk_Start;

		}	extern	MGTK_Fx_Voices[2],MGTK_Voices[32];

extern	char		MGTK_Restart_Loop,MGTK_Restart_Done;
extern	char		MGTK_Master_Volume_Left,MGTK_Master_Volume_Right;

/*	Functions		*/

extern	int	MGTK_Init_Module_Samples(void *Module,void *EndWorkSpace);
extern	int	MGTK_Init_DSP(void);
extern	void	MGTK_Save_Sound(void);
extern	void	MGTK_Init_Sound(void);
extern	void	MGTK_Restore_Sound(void);
extern	void	MGTK_Set_Replay_Frequency(int Frequency_Divider);
extern	void	MGTK_Play_Music(int Music);
extern	void	MGTK_Pause_Music(void);
extern	void	MGTK_Stop_Music(void);
extern	void	MGTK_Previous_Music(void);
extern	void	MGTK_Next_Music(void);
extern	void	MGTK_Play_Position(int Position);
extern	void	MGTK_Previous_Position(void);
extern	void	MGTK_Next_Position(void);
extern	void	MGTK_Play_FX_Module(void);
extern	void	MGTK_Play_FX_Sample(void);
extern	void	MGTK_Clear_Voices(void);
